from abc import ABC, abstractmethod


class BaseModel(ABC):

    @abstractmethod
    def preprocess(self, item):
        pass

    @abstractmethod
    def predict(self, image):
        pass

    @abstractmethod
    def postprocess(self, prediction_output, item):
        pass